<script lang="ts">
    import { env } from "$env/dynamic/public";
    import DateTime from "$lib/DateTime.svelte";
    import { askConfirmation } from "$lib/browserUtils";

    export let code: string | undefined;
    export let joinableUntil: string | undefined;

    function joinLink(code: string): string {
        return `${env.PUBLIC_DOMAIN}/join-session?code=${code}`;
    }
</script>

<div>
    {#if code}
        <form method="POST"
            action="?/delete-join-code"
            on:submit={askConfirmation("supprimer le code élève ?")}
        >
            <p>
                Lien élève pour rejoindre la session
                {#if joinableUntil}
                    (valide jusqu'à <DateTime dt={joinableUntil}/>)
                {/if}
                :
                <a href={joinLink(code)}>{joinLink(code)}</a>
            </p>
            
            <button class="btn-danger">supprimer</button>
        </form>
    {:else}
        <p>Pas de lien élève pour rejoindre la session.</p>

        <form method="POST" action="?/create-join-code">
            <input
                type="text"
                placeholder="durée de validité (en heures)"
                name="duration"
            />
            <button>créer un lien élève</button>
        </form>
    {/if}
</div>

<style>
    div {
        margin-top: 2em;
        margin-bottom: 2em;
    }
</style>
